Bug 1564246 - Upgrade from Fedora v. 27 to v. 28 suppressed all non system targets from Home folder.
Summary: Upgrade from Fedora v. 27 to v. 28 suppressed all non system targets from Hom...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 19:20 UTC by ricky.tigg
Modified: 2018-05-24 16:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-24 16:15:00 UTC
Type: Bug


Attachments (Terms of Use)
dnf logs samples (3.21 MB, application/x-tar)
2018-04-09 16:53 UTC, ricky.tigg
no flags Details

Description ricky.tigg 2018-04-05 19:20:23 UTC
Description of problem: Upgrade from Fedora Desktop v. 27 to v. 28 had for result s to suppress all non system targets (the ones created by the user, both filkes and folders) which were contained in Home.

Version-Release number of selected component: no instruction available about the specification of the component in that case.

How reproducible in terminal:
# dnf install -y dnf-plugin-system-upgrade
# dnf system-upgrade -y download --refresh–releasever=28

Expected results: To preserve all existing contents in Home folder including those which are manually created.

Additional info: v.28 upgraded as beta release.

Comment 1 Jaroslav Mracek 2018-04-09 11:25:56 UTC
We believe that the problem can be triggered by rpm-striplets in particular package. Please can you narrow the issue like which package upgrade created the issue. Unfortunately without additional data we cannot solve the issue.

Comment 2 ricky.tigg 2018-04-09 13:34:24 UTC
You might guide me to dig from the upgraded computer the relevant information –for instance logs– so it can be useful to you. As far as I understand package upgrade you refered to is part of the Description.

On the other non upgraded laptop (in v.27) I have same operartion may be reconducted if your consider it a requirement to serve the purpose of a customised testing case. But I would rather it not to affect existent contents In Home

Correction: '# dnf system-upgrade -y download --refresh --releasever=28'

Comment 3 Jaroslav Mracek 2018-04-09 14:19:05 UTC
Please can you confirm one thing. After '# dnf system-upgrade -y download --refresh --releasever=28' did you performed "dnf system-upgrade reboot"? If not there is nearly 100% change that the problem you experienced is not relatade to DNF or packaging at all.

Please can you provide dnf.log (/var/log/dnf.log)?

Comment 4 ricky.tigg 2018-04-09 16:53:52 UTC
Created attachment 1419441 [details]
dnf logs samples

That is presently the command that allowed the system to be upgraded.

Comment 5 Jaroslav Mracek 2018-05-24 16:15:00 UTC
In dnf.log I cannot found anything incorrect. I do not understand what happen to your system. Maybe an output of history command could provide clue. I am sorry but it looks like that I cannot help you and I do not know what component could trigger your problem. Sorry. I only suggest:
1. this is not an issue of DNF (you are the the only reporter but your upgrade case is common)
2. Some package that was upgraded produce an issue - I canout even guess which one.
3. Please check your history if there is some strange command (rm -rf * or other mass removal command)


Note You need to log in before you can comment on or make changes to this bug.